unit MainForm;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, IPPeerClient,
  IPPeerServer, System.Tether.Manager, System.Tether.AppProfile;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    TetheringManager1: TTetheringManager;
    TetheringAppProfile1: TTetheringAppProfile;
    procedure Button1Click(Sender: TObject);
    procedure TetheringAppProfile1ResourceReceived(const Sender: TObject;
      const AResource: TRemoteResource);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
  CodeSiteLogging;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  CodeSite.Send('Hello, Delphi and C++Builder');
end;

procedure TForm1.TetheringAppProfile1ResourceReceived(const Sender: TObject;
  const AResource: TRemoteResource);
begin
  Memo1.Text := DateTimeToStr(Now) + ': ' + AResource.Value.AsString;
  CodeSite.Send(AResource.Value.AsString);
end;

end.
